For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fees and Amounts

For further information on the types of fees in Nexus, see Fees.

Get Fees and Interbank Settlement Amounts

get
/v1/fees-and-amounts/{sourceCountry}/{sourceCurrency}/{destinationCountry}/{destinationCurrency}/{amountCurrency}/{amount}/{exchangeRate}

Retrieves the various fees and amounts based on specified parameters. Information can be used in the pacs.008 payment instruction.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
sourceCountrystringRequired

The ISO 3166 alpha-2 country code

Example: SG
sourceCurrencystringRequired

The source currency code.

Example: SGD
destinationCountrystringRequired

The ISO 3166 alpha-2 country code

Example: MY
destinationCurrencystringRequired

The destination currency code.

Example: MYR
amountCurrencystringRequired

The currency of the specified amount.

Example: SGD
amountnumberRequired

The amount in the specified amount currency. If the amount is defined in the Source Currency, this amount must be the amount AFTER the Source PSP has made any deduction. (This is the Interbank Settlement Amount that must be transferred to the FXP's account at the Source SAP). If the amount is defined in the Destination Currency, this must be the Creditor Agent Amount that will be credited to the recipient's account.

Example: 100
exchangeRatenumberRequired

The exchange rate from the source to destination currency.This information must be taken from (a) a quote provided by Nexus, or (b) the Source PSP's own exchange rate (when the Source PSP manages their own FX.).

Example: 3.5
Responses
200

Successful response

application/json
get/v1/fees-and-amounts/{sourceCountry}/{sourceCurrency}/{destinationCountry}/{destinationCurrency}/{amountCurrency}/{amount}/{exchangeRate}

Get Creditor Agent Fee Formula

get
/v1/fee-formulas/destination-agent-fee/{countryCode}/{currencyCode}

Returns the Creditor Agent (Destination PSP) Fee FORMULA for a specified Destination Country, denominated in the Destination Currency.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
countryCodestringRequired

The 2-letter country code of the DESTINATION Country.

Example: MY
currencyCodestringRequired

The 3-letter currency code of the DESTINATION Country.

Example: MYR
Responses
200

Successful response

application/json
get/v1/fee-formulas/destination-agent-fee/{countryCode}/{currencyCode}

Last updated